<template>
    <h1>Add Picture</h1>

    <v-card width="50%" class="mx-auto">
        <v-card-text>
            <form @submit.prevent="handleSubmit()">
                <v-text-field variant="outlined" label="Title" v-model="picture.title"></v-text-field>
                <v-textarea variant="outlined" label="Description" v-model="picture.description"></v-textarea>
                <v-file-input :prepend-icon="mdiCamera" variant="outlined" label="Image" accept="image/*" v-model="image"></v-file-input>
                <v-btn type="submit">Add</v-btn>

            </form>
        </v-card-text>
    </v-card>
</template>

<script setup lang="ts">
import type { Picture } from '@/entities';
import { postPicture, postUpload } from '@/picture-service';
import { mdiCamera } from '@mdi/js';
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();
const picture = ref<Picture>({
    title:'',
    image:'',
    description:''
});

const image = ref<File[]>();

async function handleSubmit() {
    if(!image.value) {
        return;
    }
    const imgName = await postUpload(image.value[0]);
    picture.value.image = imgName;
    await postPicture(picture.value);
    router.push('/account')
}
</script>